Module jdk.compiler
Package com.sun.source.tree

## Interface UnaryTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    public interface UnaryTree
    extends ExpressionTree

A tree node for postfix and unary expressions. Use `getKind` to determine the kind of operator. For example:

       operator expression

       expression operator

Since:
  1.6
See The Java™ Language Specification:
  sections 15.14 and 15.15

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()` Returns the expression that is the operand of the unary operator.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression that is the operand of the unary operator.

Returns:
  the expression